# Uses of Class
javafx.css.Stylesheet

Packages that use Stylesheet
Package
Description
javafx.css
Provides API for making properties styleable via CSS and for supporting pseudo-class state.

## Uses of Stylesheet in javafx.css

Methods in javafx.css that return Stylesheet
Modifier and Type
Method
Description
`Stylesheet`
Rule.`getStylesheet()`
`static Stylesheet`
Stylesheet.`loadBinary(URL url)`
Loads a binary stylesheet from a `URL`.
`Stylesheet`
CssParser.`parse(String stylesheetText)`
Creates a stylesheet from a CSS document string.
`Stylesheet`
CssParser.`parse(String docbase, String stylesheetText)`
Creates a stylesheet from a CSS document string using docbase as the base URL for resolving references within stylesheet.
`Stylesheet`
CssParser.`parse(URL url)`
Updates the given stylesheet by reading a CSS document from a URL, assuming UTF-8 encoding.
`Stylesheet`
CssParser.`parseInlineStyle(Styleable node)`
Parse an in-line style from a Node.